%global         pypi_name      sigfig

%define         debug_package  %{nil}


Name:           python-sigfig
Version:        1.3.19
Release:        %mkrel 1
Summary:        A python package used for rounding numbers
License:        LGPLv3
Group:          Development/Python
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        %{pypi_source}

BuildArch:      noarch



%description
The sigfig project was created to add needed features to Python’s
built-in round() function. They are: the ability to consistently round
floating point numbers, the ability to round a number by number of
significant figures/digits instead of by decimal places only, and, the
ability to round a number by its associated uncertainty. The Ultimate
goal of the project is to add the included rounding features to the
Python standard library.


%package -n python3-sigfig
Summary:        A python package used for rounding numbers (with expected results)
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros

Provides:       sigfig = %{version}-%{release}

%description -n python3-sigfig
The sigfig project was created to add needed features to Python’s
built-in round() function. They are: the ability to consistently round
floating point numbers, the ability to round a number by number of
significant figures/digits instead of by decimal places only, and, the
ability to round a number by its associated uncertainty. The Ultimate
goal of the project is to add the included rounding features to the
Python standard library.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-sigfig
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Sat Jul 05 2025 eatdirt <eatdirt> 1.3.19-1.mga10
+ Revision: 2247015
- imported package python-sigfig

